__gnu_cxx::_Rope_RopeConcatenation(3)

NAME
__gnu_cxx::_Rope_RopeConcatenation -

SYNOPSIS

Inherits _Rope_RopeRep< _CharT, _Alloc >.

Detailed Description

  template<class _CharT, class _Alloc> struct __gnu_cxx::_Rope_RopeConcatenation< _CharT, _Alloc >

Definition at line 724 of file rope.

  Public Types
typedef _Rope_rep_base< _CharT, _Alloc >::allocator_type allocator_type

  Public Member Functions
void _M_free_c_string ()
void _M_free_tree ()
void _M_ref_nonnil ()
void _M_unref_nonnil ()
_Rope_RopeConcatenation (_Rope_RopeRep< _CharT, _Alloc > *__l, _Rope_RopeRep< _CharT, _Alloc > *__r, allocator_type __a)
allocator_type get_allocator () const
~_Rope_RopeConcatenation () throw ()

  Static Public Member Functions
static void _S_free_if_unref (_Rope_RopeRep *__t)
static void _S_free_string (__GC_CONST _CharT *, size_t __len, allocator_type __a)
static void _S_ref (_Rope_RopeRep *__t)
static void _S_unref (_Rope_RopeRep *__t)

  Public Attributes
__GC_CONST _CharT * _M_c_string
__gthread_mutex_t _M_c_string_lock
unsigned char _M_depth
bool _M_is_balanced:8
_Rope_RopeRep< _CharT, _Alloc > * _M_left
_Rope_RopeRep< _CharT, _Alloc > * _M_right
size_t _M_size
_Rope_constants::_Tag _M_tag:8

  Protected Member Functions
_Rope_RopeConcatenation (const _Rope_RopeConcatenation &)
_Rope_RopeConcatenation & operator= (const _Rope_RopeConcatenation &)

Author

Generated automatically by Doxygen for libstdc++ from the source code.